Hey there.

So... you use an ad blocker. That's cool. Sometimes we do too.


But without ad revenue, we wouldn't even be here. And we might not be here much longer.

Please disable your ad blocker and click to continue.

  1. #1
    a1phanum3rics Guest

    List for new games that req. newer FW?

    Is there a list for which of the newer games need the newer FW?

    I'm on cfw5.00 and I'm not sure if I should update for newer games or not.

    Thanks.

  2. #2
    solewired Guest
    I don't know if there is a specific list available, but I do know that Madden 10 caused quite a controversy with it's firmware requirement. Some people in the homebrew world just simply created an exploit that would return the firmware value as the value of a txt file. So thus you could have a FW version 9.0 if you so chose.

    "Where there is an engineer, there is a reverse engineer... and when he fails you find an industrial technology major to find a way around the problem" (a little quote from a friend).

    EDIT: I should have looked before posting, but good 'ol wikipedia does it again. See link:
    http://en.wikipedia.org/wiki/List_of...ompatibilities

  3. #3
    NYC1231 Guest
    Here is a list of games that required OFW 5.55 PSPWiki http://alek.dark-alex.org/pspwiki/in..._Firmware_5.55
    Games that require OFW 5.55

    Armored Core 3 Portable (J)
    Dirt 2 (E)
    Disgaea 2: Dark Hero Days (U)
    Dissidia: Final Fantasy (E) *Note: Only Europe version requires 5.55 and doesn't work on Custom Firmware. The US version is 5.50 and is playable.
    G.I. Joe: The Rise of Cobra (U) (E)
    Hakuouki Portable (J)
    Heart no Kuni no Alice (J)
    IL-2 Sturmovik: Birds of Prey (E)
    Kiniro no Corda 2 forte Encore (J)
    MotorStorm Arctic Edge (E)
    Musou Orochi Maou Sairin Enhanced Version (CH)
    Ookami Kakushi (J)
    Rugby League Challenge (E)
    Saikyou Toudai Shogi Deluxe (J)
    Samurai Dou 2 Portable (J)
    Shin Megami Tensei: Persona (U)
    Shinseiki Evangelion: Battle Orchestra Portable (J)
    SoulCalibur: Broken Destiny (J) (U) (E) *Note: Europe version is playable after hex editing and relinking BOOT.BIN
    Tales of VS (J)
    Tenchu San Portable (J)
    The Hohei 2: Senyuu yo, Sakini Ike - Simple 2500 Series Portable!! Vol. 12 (J)
    Yamamura Misa Suspense: Kyoto Kuramayama Shou Satsujin Jiken (J)
    Hope this helps

    or just update to 5.50gen-B2, they had fix some bugs on B1, you can still play some new games on this CFW version, but not the games that required 5.55

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

Log in